## gksu 2.1.0antix2

=== nautilus-gksu/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# nautilus-gksu/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/gksu
pkglibdir = $(libdir)/gksu
pkgincludedir = $(includedir)/gksu
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = nautilus-gksu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(nautilus_extensiondir)"
nautilus_extensionLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(nautilus_extension_LTLIBRARIES)
am__DEPENDENCIES_1 =
libnautilus_gksu_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_libnautilus_gksu_la_OBJECTS = libnautilus-gksu.lo
libnautilus_gksu_la_OBJECTS = $(am_libnautilus_gksu_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libnautilus_gksu_la_SOURCES)
DIST_SOURCES = $(libnautilus_gksu_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/missing --run aclocal-1.9
ALL_LINGUAS = ar ca cs da de es fr gl hu it ja ko lt pl pt pt_BR ro ru nb nl sk sv xh th zh_CN
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/missing --run autoconf
AUTOHEADER = ${SHELL} /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/missing --run autoheader
AUTOMAKE = ${SHELL} /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/missing --run automake-1.9
AWK = gawk
CATALOGS =  ar.gmo ca.gmo cs.gmo da.gmo de.gmo es.gmo fr.gmo gl.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo nb.gmo nl.gmo sk.gmo sv.gmo xh.gmo th.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -ffile-prefix-map=/home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1=. -fstack-protector-strong -Wformat -Werror=format-security
CPP = gcc -E
CPPFLAGS = -Wdate-time -D_FORTIFY_SOURCE=2
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2 -ffile-prefix-map=/home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1=. -fstack-protector-strong -Wformat -Werror=format-security
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_GTK_DOC_FALSE = #
ENABLE_GTK_DOC_TRUE = 
ENABLE_NAUTILUS_EXTENSION_FALSE = 
ENABLE_NAUTILUS_EXTENSION_TRUE = #
EXEEXT = 
F77 = 
FFLAGS = 
GCONFTOOL = /usr/bin/gconftool-2
GCONF_SCHEMAS_INSTALL_FALSE = #
GCONF_SCHEMAS_INSTALL_TRUE = 
GCONF_SCHEMA_CONFIG_SOURCE = xml:merged:/etc/gconf/gconf.xml.defaults
GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas
GETTEXT_PACKAGE = gksu
GKSU_CFLAGS = -pthread -I/usr/include/startup-notification-1.0 -I/usr/include/gnome-keyring-1 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libgksu
GKSU_LIBS = -lgksu2 -lstartup-notification-1 -lgnome-keyring -lgconf-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lfontconfig -lfreetype
GMOFILES =  ar.gmo ca.gmo cs.gmo da.gmo de.gmo es.gmo fr.gmo gl.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo nb.gmo nl.gmo sk.gmo sv.gmo xh.gmo th.gmo zh_CN.gmo
GMSGFMT = /usr/bin/msgfmt
GREP = /usr/bin/grep
GTK_DOC_USE_LIBTOOL_FALSE = 
GTK_DOC_USE_LIBTOOL_TRUE = #
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_POLICY_RULE = %.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = -Wl,-z,relro
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /usr/bin/msgmerge
NAUTILUS_CFLAGS = 
NAUTILUS_LIBS = 
NMEDIT = 
OBJEXT = o
PACKAGE = gksu
PACKAGE_BUGREPORT = kov@debian.org
PACKAGE_NAME = gksu
PACKAGE_STRING = gksu 2.0.2
PACKAGE_TARNAME = gksu
PACKAGE_VERSION = 2.0.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POFILES =  ar.po ca.po cs.po da.po de.po es.po fr.po gl.po hu.po it.po ja.po ko.po lt.po pl.po pt.po pt_BR.po ro.po ru.po nb.po nl.po sk.po sv.po xh.po th.po zh_CN.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
USE_NLS = yes
VERSION = 2.0.2
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/anticap/src-debs/src-debs-antix/testing/gksu-2.1.0antix1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/gksu

## gksu 0.6

=== debian/changelog ===
gksu (0.6) unstable; urgency=low

  * src/xauth.c, src/gksu.c: better error and temporary
    directory handling
  * src/sudo.c,src/su.c:
  - improved the wording of the password dialog
  * Added support for --print-pass and --message.
  * Removed -k, -keep-env, keep_env is now TRUE by
    default and added --reset-env... the env must
    be kept for the Xauthority trick to work

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  8 Mar 2002 22:49:55 -0300

gksu (0.5) unstable; urgency=low

  * debian/control:
  - made some fixes
  * src/xauth.c:
  - small typo fixed
  * po/pt_BR.po:
  - updated translation
  * configure.in:
  - removed check for Gnome
  * removed links for automake stuff copied real files from
    /usr/share/automake (Closes: #135395)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 23 Feb 2002 19:25:10 -0300

gksu (0.4) unstable; urgency=low

  * First Debian release (Closes: #135088)
  * debian/rules:
  - really fixes dh_link call
  - added manpage installation
  * man/gksu.1:
  - wrote manpage
  * debian/menu:
  - fixed gkdebconf->gksu issue
  * debian/control:
  - better (not so good, but better =)) description

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 21 Feb 2002 17:55:26 -0300

gksu (0.3) unstable; urgency=low

  * su.c, sudo.c:
  - a lot more error checking (for fork() and execv, for example)
  * debian/rules:
  - fixed the call to dh_link to create the right link

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 20 Feb 2002 17:36:47 -0300

gksu (0.2) unstable; urgency=low

  * gksu.c:
  - new free_pass function to clean the variables used
    to store the password
  * gksu.c, su.c, gui.c:
  - always call free_pass on password variables before
    we exit!
  * sudo.c:
  - added, now sudo is an option for gksu =)
  - double-fork to quit 
  - added a while loop to keep printf'inf program's
    stderr and stdout some programs have problems with this.
  * gksu.c:
  - added -S to call gksudo, added -H to support
    setting the target user's home
  * su.c:
  - added a while loop to keep printf'inf program's
    stderr and stdout some programs have problems with this.
  * debian/rules:
  - creates the /usr/bin/gksudo link

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 20 Feb 2002 05:53:47 -0300

gksu (0.1) unstable; urgency=low

  * First version.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 18 Feb 2002 20:16:41 -0300

=== debian/control ===
Source: gksu
Section: admin
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Build-Depends: debhelper (>= 3.0.0), libgtk1.2-dev, gettext
Standards-Version: 3.5.2

Package: gksu
Architecture: any
Depends: ${shlibs:Depends}
Suggests: sudo
Description: Gtk+ Frontend to su and sudo
 gksu is a Gtk+ frontend to /bin/su. It supports login shells
 and preserving environment when acting as a su frontend. It 
 is useful to menu items or other graphical programs that need 
 to ask a user's password to run another program as another user.
 .
 gksu can also act as a frontend to sudo. It installs a link
 /usr/bin/gksudo, which you can call to use this feature.
 When using sudo, gksudo respects /etc/sudoers definitions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=2

clean:
	dh_testdir
	dh_testroot
	-rm -rf configure-stamp build-stamp
	-$(MAKE) distclean
	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_clean -k
	$(MAKE) install DESTDIR=`pwd`/debian/gksu

binary: binary-arch binary-indep
binary-indep: install

binary-arch: install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installchangelogs
	dh_installman man/gksu.1
	dh_link usr/bin/gksu usr/bin/gksudo usr/share/man/man1/gksu.1.gz usr/share/man/man1/gksudo.1.gz
	dh_compress
	dh_installmenu
	dh_fixperms
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install configure

## gksu 2.0.2

=== debian/changelog ===
gksu (2.0.2-6ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 10:17:37 +0100

gksu (2.0.2-6ubuntu1) precise; urgency=low

  * Merge from Debian Testing. Remaining changes:
    - debian/patches/01_desktop_in.patch: don't display root-terminal 
      menu entry.
    - debian/patches/50_always_ask.patch: added new '--always-ask-pass'
      commandline switch. This was renamed from 02_always_ask.patch.
  * Patches dropped:
    - debian/patches/21_strip_blank_space.patch: No longer needed since we
      don't build nautilus-gksu anymore.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Nov 2011 10:24:13 -0500

gksu (2.0.2-6) unstable; urgency=low

  * Drop the nautilus-gksu package. It won't be ported to GNOME 3 and is
    blocking the nautilus 3 transition. Closes: #637325
  * Switch to dpkg source format 3.0 (quilt)
    - Add debian/source/format.
    - Remove simple-patchsys.mk include from debian/rules.
    - Drop Build-Depends on sng and replace debian/gksu-root-terminal.sng by
      the final .png file. We no longer need to create it during build time.
    - Add debian/source/include-binaries for debian/gksu-root-terminal.png.
  * Bump debhelper compatibility level to 8.
  * Remove pre-lenny upgrade code, drop debian/gksu.postinst.
  * Bump Standards-Version to 3.9.2.
  * debian/patches/02_format_security.patch
    - Fix possible format string vulnerabilities. Closes: #643389
  * debian/copyright
    - Refer to GPL-2 not the versionless GPL license file.
  * Updated Russian translation by Sergey Alyoshin. Closes: #547448
  * Updated Portuguese translation by Américo Monteiro. Closes: #567587

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2011 18:51:46 +0200

gksu (2.0.2-5ubuntu2) natty; urgency=low

  * debian/patches/01_desktop_in.patch: don't display root-terminal 
      menu entry. This inadvertently got dropped in 2.0.2-5ubuntu1.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Feb 2011 10:03:03 -0500

gksu (2.0.2-5ubuntu1) natty; urgency=low

  * Merge from Debian Unstable. (LP: #683484) Remaining changes:
    - debian/control.in:
      + remove build-dependency on sng (universe).
      + add sharutil b-d.
    - do not do the sng->png at build time but instead include a static
      uuencoded copy.
    - debian/patches/02_always_ask.patch: added new '--always-ask-pass'
      commandline switch. This patch was 01_always_ask.patch earlier.
    - debian/patches/21_strip_blank_space.patch: strip blank spaces from
      'cmd'.
  * Changes merged with Debian:
    - debian/patches/07_desktop_in_ship.patch: don't display root-terminal
      menu entry.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Wed, 01 Dec 2010 12:16:30 +0300

gksu (2.0.2-5) unstable; urgency=low

  * 01_desktop_in.patch: new patch. Ship gksu.desktop.in since it was 
    forgot in the upstream tarball. Closes: #601257.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 22:34:18 +0100

gksu (2.0.2-4ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #669705), remaining changes:
    - debian/control.in:
      + remove build-dependency on sng (universe)
      + add sharutil b-d
    - do not do the sng->png at build time but instead include a static 
      uuencoded copy
    - debian/patches/01_always_ask.patch: added new '--always-ask-pass' 
      commandline switch
    - debian/patches/07_desktop_in_ship.patch: don't display root-terminal 
      menu entry
    - debian/patches/21_strip_blank_space.patch: strip blank spaces from 'cmd'

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 02 Nov 2010 00:23:21 +0100

gksu (2.0.2-4) unstable; urgency=low

  * New Brazilian Portuguese translation by Sérgio Cipolla. 
    Closes: #585484.
  * 99_intltool.patch: update po/Makefile.in.in with a working intltool
    version. Closes: #599424.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Oct 2010 23:23:24 +0200

gksu (2.0.2-3) unstable; urgency=low

  * Only recommend gnome-keyring, gksu works fine without it (especially 
    in sudo mode).
  * Move the symlink to nautilus-gksu. Closes: #583647.
  * Add a Replaces this time to avoid running into the same bug the 
    other way round.

 -- Josselin Mouette <joss@debian.org>  Sat, 29 May 2010 10:28:04 +0200

gksu (2.0.2-2ubuntu3) maverick; urgency=low

  * Drop 14_set_http_proxy_env.patch, this has been obsoleted in lucid. sudo
    now does not pass those variables any more, and gnome-network-properties
    can now set the proxy system-wide.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Sep 2010 23:30:38 +0200

gksu (2.0.2-2ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Mar 2010 04:34:50 +0100

gksu (2.0.2-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - control.in: remove build-dependency on sng (universe) 
    - control.in: and add sharutil b-d
    - do not do the sng->png at build time but
      instead include a static uuencoded copy
    - debian/patches/01_always_ask.patch:
      + added new '--always-ask-pass' commandline switch
    - debian/patches/07_desktop_in_ship.patch: 
      + don't display root-terminal menu entry
    - debian/patches/14_set_http_proxy_env.patch: 
      + set http_proxy environment from gconf 
    - 21_strip_blank_space.patch:
      + strip blank spaces from 'cmd'
  * drop:
    - debian/patches/15_configure
    - debian/patches/16_fix_ftbfs.patch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 May 2009 10:44:53 +0200

gksu (2.0.2-2) unstable; urgency=high

  * debian/gksu.links:
  - add link to the extension-1.0 ABI directory, to make nautilus-gksu
    available to the previous version as well; we use a small enough part
    of the ABI that it works for boths, from my testing (Closes: #520511)



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gksu
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Noronha Silva <kov@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               intltool,
               autotools-dev,
               gnome-pkg-tools,
               libgtk2.0-dev (>= 2.4.0),
               libgksu2-dev (>= 2.0.8),
               libglib2.0-dev (>= 2.16),
               libgconf2-dev
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/gksu
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gksu/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gksu/

Package: gksu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sudo
Recommends: gnome-keyring
Replaces: gnome-sudo,
          libgksu0
Provides: gnome-sudo
Conflicts: gnome-sudo (<= 0.3-1.1)
Description: graphical frontend to su
 gksu is a Gtk+ frontend to /bin/su. It supports login shells
 and preserving environment when acting as a su frontend. It
 is useful to menu items or other graphical programs that need
 to ask a user's password to run another program as another user.

=== debian/rules ===
#!/usr/bin/make -f

GNOME_DOWNLOAD_URL = http://people.debian.org/~kov/gksu/$(GNOME_TARBALL)

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-nautilus-extension

clean::
	-test -d po.old && (rm -rf po; mv po.old po)

post-patches::
	if ! test -d po.old && test -d debian/pos; then \
		cp -a po po.old; \
		cp -a debian/pos/* po/; \
		rm po/*gmo po/stamp-po || true; \
	fi

binary-post-install/gksu::
	chmod a+x debian/gksu/usr/share/gksu/gksu-migrate-conf.sh

=== debian/watch ===
version=3
http://people.debian.org/~kov/gksu/gksu-(.*)\.tar\.gz \
	debian uupdate

## gksu 2.1.0

=== debian/changelog ===
gksu (2.1.0) unstable; urgency=medium

  * gksu.c: UNCONDITIONALLY check for, and escape, any single quote
    or backslash characters present within passed string. Previously,
    this check was only performed when run_mode == SUDO_MODE
    This change fixes https://nvd.nist.gov/vuln/detail/CVE-2014-2886 - many thanks to skidoo
  * use native format

 -- anticapitalista <antix@operamail.com>  Sat, 16 Feb 2019 12:46:36 +0200
 
 

gksu (2.0.2-9) unstable; urgency=medium

  * 01_desktop_in.patch: move from Utilities to System, for consistency 
    with the current GNOME menu.

 -- Josselin Mouette <joss@debian.org>  Fri, 05 Dec 2014 17:56:37 +0100

gksu (2.0.2-8) unstable; urgency=medium

  * debian/control.in:
  - make team the maintainer

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:27:16 -0200

gksu (2.0.2-7) unstable; urgency=low

  * Team upload.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Jackson Doak ]
  * Update debian/watch
  * debian/control.in:
    - Bump standards-version to 3.9.4 (no changes)
    - Update description. Closes: #613897
    - Use canonical URLs
  * Remove encoding entry from 01_desktop_in.patch
  * Add 03_sudo(8).patch. Closes: #715285
  * Add debian/source/options to allow easier re-building
    (The current patches create a diff of autoregenerated files)

  [ Andreas Henriksson ]
  * Fix malformed patch 01_desktop_in.patch to be valid again.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Oct 2014 22:45:53 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gksu
Section: admin
Priority: optional
Maintainer: skidoo <email@redact.ed>
Uploaders: skidoo
Build-Depends: cdbs,
               debhelper (>= 8),
               intltool,
               autotools-dev,
               gnome-pkg-tools,
               libgtk2.0-dev (>= 2.4.0),
               libgksu2-dev (>= 2.0.8),
               libglib2.0-dev (>= 2.16),
               libgconf2-dev
Standards-Version: 3.9.4

Package: gksu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sudo
Replaces: gnome-sudo,
          libgksu0
Provides: gnome-sudo
Conflicts: gnome-sudo (<= 0.3-1.1)
Description: graphical front-end to su and sudo
 This package provides GTK+ front ends for su (gksu) and sudo (gksudo),
 allowing users to give a password and run graphical commands as root
 without needing to invoke su or sudo directly.

## gksu 2.1.0antix1

=== debian/changelog ===
gksu (2.1.0antix1) unstable; urgency=medium

  * update desktop file

 -- anticapitalista <antix@operamail.com>  Thu, 06 Apr 2023 20:47:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gksu

## gksu 2.1.0antix2

=== debian/changelog ===
gksu (2.1.0antix2) unstable; urgency=medium

  * build for post bookworm

 -- anticapitalista <antix@operamail.com>  Wed, 12 Feb 2025 17:35:59 +0200
